# $Revision: 1.8 $, $Date: 2012/01/31 21:16:15 $
Summary:	The f2c Fortran to C/C++ conversion program and libraries
Summary(pl.UTF-8):	Program f2c do tłumaczenia z Fortranu na C/C++ i biblioteki
Name:		f2c
Version:	20031027
Release:	1
License:	Distributable
Group:		Development/Languages/Fortran
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	bcd2c9ba1307c9fc9f73027c3c4e3d4c
Patch0:		%{name}-20031027.patch
URL:		ftp://ftp.netlib.org/f2c/
BuildRequires:	rpmbuild(macros) >= 1.583
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         skip_post_check_so      libf2c.so.*

%description
f2c converts Fortran 77 source code to C or C++ source files. If no
Fortran files are named on the command line, f2c can read Fortran from
standard input and write C to standard output.

f2c can also be used (with the -P option) to generate ANSI C header
files for calling Fortran routines from C.

%description -l pl.UTF-8
f2c służy do tłumaczenia kodu źródłowego w Fortranie 77 na kod
dając w wyniku pliki z kodem źródłowym w C lub C++. Jeśli w wierszu
polecenia nie zostaną podane żadne pliki, f2c będzie oczekiwał kodu w
Fortranie na standardowym wejściu i pisał kod w C na standardowe
wyjście.

f2c może również służyć (z opcją -P) do generowania plików
nagłówkowych ANSI C w celu wywoływania procedur fortranowskich z C.

%prep
%setup -q
%patch0 -p1

%build
%ifarch alpha
MFLAG=-mieee
%endif

mkdir -p libf2c/PIC

cp -f libf2c/makefile.u libf2c/Makefile
cp -f src/makefile.u src/Makefile
%{__make} -C src f2c \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcflags}" \
	MFLAG="$MFLAG"
%{__make} -C libf2c \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcflags} -fPIC" \
	MFLAG="$MFLAG"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_libdir},%{_includedir}}

install libf2c/libf2c.a $RPM_BUILD_ROOT%{_libdir}
install f2c.h $RPM_BUILD_ROOT%{_includedir}
install src/f2c $RPM_BUILD_ROOT%{_bindir}
install fc $RPM_BUILD_ROOT%{_bindir}
install src/f2c.1t $RPM_BUILD_ROOT%{_mandir}/man1/f2c.1
install libf2c/libf2c.so.0.22 $RPM_BUILD_ROOT%{_libdir}
ln -sf libf2c.so.0.22 $RPM_BUILD_ROOT%{_libdir}/libf2c.so

rm -rf $RPM_BUILD_ROOT%{_prefix}/liblibf2c.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc f2c.ps README permission disclaimer changes src/Notice
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libf2c.so.*.*
%attr(755,root,root) %{_libdir}/libf2c.so
%{_libdir}/libf2c.a
%{_includedir}/f2c.h
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: f2c.spec,v $
Revision 1.8  2012/01/31 21:16:15  lisu
- skip_post_check_so for one broken lib

Revision 1.7  2007/09/11 22:10:44  glen
- adapter

Revision 1.6  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.4  2005/06/12 00:37:56  undefine
- use -fPIC for libf2c

Revision 1.3  2005/05/28 23:34:57  twittner
- CC="%{__cc}"

Revision 1.2  2005/01/17 19:44:09  qboosh
- cleanups, proper optflags, .so perms

Revision 1.1  2005/01/16 16:09:23  ankry
- new, based on mdk spec; newer sources
